Skip to main content
`Ctrl`+`K`

# PetscSectionSetUp

Calculate offsets based upon the number of degrees of freedom for each point in preparation for use of the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetUp(PetscSection s)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Notes

If used, `PetscSectionSetPermutation()` must be called before this routine.

`PetscSectionSetPointMajor()`, cannot be called after this routine.

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionSetPermutation()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex30.c
src/snes/tutorials/ex7.c
src/dm/impls/plex/tutorials/ex7.c
src/ts/tutorials/ex11.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages